Bug 57764 - Telnet clent slow to connect unless full DNS name is used
Telnet clent slow to connect unless full DNS name is used
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-21 12:06 EST by Need Real Name
Modified: 2010-03-25 08:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-21 12:06:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-21 12:06:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Windows NT 5.0; U)

Description of problem:

I have just upgraded my RedHat Linux machine from version 6.2 to version 
7.2 and I am having a problem with the telnet program. It seems that when 
I try to telnet to another device it is taking anywhere from 30 to 60 
second before I get the login prompt. This occurs only when I use the DNS 
name for the device I am trying to telnet to and when I leave off the 
domain part of the DNS name. An example would be "telnet xyz" I have the 
problem, but not if I use "telnet xyz.mydomain.com". If I do a "ping xyz" 
it works fine. I have check all my network setting and see no problem with 
configuration. I have the domain and name servers defined, and I checked 
the resolve.conf file and again see the name servers and domain defined in 
the file. If I telnet from my windows 2000 workstation, which is on the 
same local network as the Linux workstation, the telnet works just fine, 
and I see no difference on the windows workstation in doing a "telnet xyz" 
from a "telnet xyz.mydomain.com" in the time for the login prompt to come 
back. It is basically instantaneous. It also instantaneous in receiving 
the login prompt when doing a "telnet xyz.mydomAin.com" from the Linux 
workstation. The problem again is when I leave off the domain part of the 
address, in other words "telnet xyz" take anywhere from 30 to 60 seconds 
to get back the login prompt. I did not have this problem while running 
Redhat 6.2. This problem only appeared after upgrading to Redhat 7.2 . Any 
suggestions to what is causing this problem.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.telnet xyz instead of telnet xyz.mydomain.com
2.
3.
	

Actual Results:  it takes around 60 seconds to connect. 

Expected Results:  Should have connected instantly

Additional info:

I ran a data capture on this problem and found that the telnet program is 
not appending the local domain to the request, which is causing a rather 
long DNS search for the name. When I telnet to xyz the telnet program 
should be appending mydomain.com to the request, but the program is not 
doing that. Istead it is sending the name xyz to the DNS server and I am 
having to wait for the DNS failure before the program appends the 
mydomain.com to the host name xyz.
Comment 1 Harald Hoyer 2002-01-08 09:40:09 EST
well, that is default behaviour... isn't it??

first resolv xyz, then append every search string to xyz as defined in 
/etc/resolv.conf and try to resolv that...

if you use xyz that often, just add it to /etc/hosts and give your 
xyz.mydomain.com that xyz as an alias.

ru
harald
Comment 2 Pekka Savola 2002-03-12 17:31:50 EST
This was probably caused of getaddrinfo and PF_UNSPEC:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=57998

Note You need to log in before you can comment on or make changes to this bug.